# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.CharacterAppearanceA
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.CharacterAppearanceA
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.CharacterAppearanceA

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# CharacterAppearanceA

###

#### final case class CharacterAppearanceA(app: BasicCharacterData, data: CommonFieldData, exosuit: types.ExoSuitType.Value, unk5: Int, char_id: Long, unk7: Int, unk8: Int, unk9: Int, unkA: Int)(name_padding: Int) extends StreamBitSize with Product with Serializable

A part of a representation of the avatar portion of `ObjectCreateDetailedMessage` packet data.

app

  the player's cardinal appearance settings

data

  common field data
  -bops - this vehicle belongs to the Black Ops, regardless of the faction field; activates the green camo and adjusts permissions
  -destroyed - flagged when using a model that is not the standard player in some stance
  -jammered - the player has been caught in an EMP blast recently; creates a jammered sound effect that follows the player around and can be heard by others
  -player_guid - does nothing?

exosuit

  the type of exo-suit the avatar will be depicted in; for Black OPs, the agile exo-suit and the reinforced exo-suit are replaced with the Black OPs exo-suits

char_id

  a unique character reference identification number

Source
  CharacterAppearanceData.scala
See also

  `CharacterData`

  `DetailedCharacterData`

  `ExoSuitType`

Linear Supertypes
Serializable, Product, Equals, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CharacterAppearanceA
2. Serializable
3. Product
4. Equals
5. StreamBitSize
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CharacterAppearanceA(app: BasicCharacterData, data: CommonFieldData, exosuit: types.ExoSuitType.Value, unk5: Int, char_id: Long, unk7: Int, unk8: Int, unk9: Int, unkA: Int)(name_padding: Int)

   app

     the player's cardinal appearance settings

   data

     common field data
     -bops - this vehicle belongs to the Black Ops, regardless of the faction field; activates the green camo and adjusts permissions
     -destroyed - flagged when using a model that is not the standard player in some stance
     -jammered - the player has been caught in an EMP blast recently; creates a jammered sound effect that follows the player around and can be heard by others
     -player_guid - does nothing?

   exosuit

     the type of exo-suit the avatar will be depicted in; for Black OPs, the agile exo-suit and the reinforced exo-suit are replaced with the Black OPs exo-suits

   char_id

     a unique character reference identification number

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val app: BasicCharacterData
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     CharacterAppearanceA → StreamBitSize
7.  val char_id: Long
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  val data: CommonFieldData
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  val exosuit: types.ExoSuitType.Value
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  val unk5: Int
21.  val unk7: Int
22.  val unk8: Int
23.  val unk9: Int
24.  val unkA: Int
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped